Rysunek Techniczny: Kreskowanie geometryczne

From FreeCAD Documentation
Revision as of 04:43, 20 July 2023 by Kaktus (talk | contribs) (Created page with "==Użycie==")

Rysunek Techniczny: Zastosuj na powierzchni kreskowanie geometryczne

Lokalizacja w menu
Rysunek Techniczny → Zastosuj na powierzchni kreskowanie geometryczne
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Kreskowanie powierzchni, Kreskowanie

Opis

Narzędzie TechDraw GeometricHatch wypełnia zamknięty obszar w widoku wzorem opartym na specyfikacji kreskowania AutoDesk PAT. Alternatywnie można użyć Kreskowanie powierzchni za pomocą pliku obrazu wykorzystuje wzory kreskowania oparte na SVG. Aby uzyskać szczegółowe informacje, zobacz stronę Kreskowanie.

Geometryczny wzór kreskowania na powierzchni ściany.

Użycie

  1. Select a closed region in a View.
  2. There are several ways to invoke the tool:
    • Press the TechDraw GeometricHatch button.
    • Select the TechDraw → Apply Geometric Hatch to Face option from the menu.
  3. The Apply Geometric Hatch to Face task panel opens.
  4. Optionally change the Pattern File, the Pattern Name, the Pattern Scale, the Line Weight and the Line Color.
  5. Press the OK button.

Notes

A small set of sample patterns are available in:

$INSTALL_DIR/data/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/data/Mod/TechDraw/PAT/FCPAT.pat

Properties

  • DANESource: The View and Face to receive the hatch pattern.
  • DANEFile Pattern: The location of the PAT file to use.
  • DANEName Pattern: The name of the PAT specification within File Pattern.
  • DANEScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • WIDOKWeight Pattern: The thickness of the pattern lines.
  • WIDOKColor Pattern: The color for the pattern lines.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)

It is also possible to use TechDraw's geometric hatch engine to produce a compound object in the 3D space. One must take care that the base face lies on the XY plane, as the algorithm is not tailored yet for other cases:

import TechDraw
face = Part.makePlane(10,10)
patfile = "path/to/myPATfile.pat"
pattern = "Diamond"
scale = 10
hatch = TechDraw.makeGeomHatch(face, scale, pattern, patfile)
Part.show(hatch)